# FIREcaller
FIREcaller: Detecting frequently interacting regions from Hi-C data

FIREcaller is maintained by Cheynna Crowley [cacrowle@live.unc.edu], Yuchen Yang [yyuchen@email.unc.edu] and Yun Li [yun_li@med.unc.edu].

## News and Updates

December 16, 2020
FIREcaller 1.40 (Release date 2020-12-16)
  * Allows user to select the p-value cut off for significant FIREs (0.05 by default)
  * Introduces differential FIRE calculation
  * Introduces normalized matrix input
  * Introduces .cool or .hic file input
  * Introduces plots of FIREs and Super-FIREs
  * Introduces two new functions (1) diff_interactions() (2) FIRE_plot()

September 21, 2020
* Version 1.30 released
  + Allows user to change the cis-interacting region (200Kb by default)
  + Allows user to pick the regression distribution (Poisson or Negative Binomial; Poisson by default)
  + Allows the user to select the percentage of problematic bins filtered (0.25 by default)
  + Allows the user to remove ENCODE black list regions (removal by default)
  + Allows single chromosome, auto chromosomes or all chr (including X) based on mappability file
  

Jun 20, 2020
* Version 1.20 released
  + Allows a chrX option
  + Allows symmetric and upper-triangular matrix as input
  
Oct 21, 2019
* Version 1.10 released
  + Loosened the criterion for a "bad bin". Previously, a bin is considered to be bad if ANY of its neighboring bins within 200kb is bad. Now loosened to allow <=25% bad neighboring bins.
  + Fixed an error that caused a lack of convergence.

Sep 4, 2019
* Version 1.00 released
  + The Default value of "rm_mhc" is set to "TRUE" instead of "NULL".
  + Fixing an error in SuperFIRE calling.

April 08, 2019
* Version 0.99.0 released
  + First offical release.
  + It can work on Window, Mac and Linux platforms.

## Installation
You can install FIREcaller from github with:
```{r install}
install.packages("devtools")

devtools::install_github("yycunc/FIREcaller")
```

Or from package downloaded from https://yunliweb.its.unc.edu/FIREcaller/

```{r}
install.packages("~/FIREcaller_1.40.tar.gz",repos=NULL, type="source")

```





